Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::concepts::ContiguousIterator Struct Reference
Inheritance diagram for ranges::v3::concepts::ContiguousIterator:

## Public Member Functions
| concepts::model_of ()))
template<typename I >
auto | requires_ (I i) -> decltype(concepts::valid_expr(concepts::model_of< DerivedFrom, category_t< I >, ranges::contiguous_iterator_tag >(), concepts::is_true(std::is_lvalue_reference< reference_t< I >>
Public Member Functions inherited from ranges::v3::concepts::refines< RandomAccessIterator >
void | requires_ ()

## Additional Inherited Members
Public Types inherited from ranges::v3::concepts::refines< RandomAccessIterator >
using | base_concepts_t = meta::list< Concepts... >